Bug 51185 - kernel oops with DRI enabled in 4.1.0-0.9.11 + kernel 2.4.7-0.8
kernel oops with DRI enabled in 4.1.0-0.9.11 + kernel 2.4.7-0.8
Product: Red Hat Raw Hide
Classification: Retired
Component: kernel (Show other bugs)
i386 Linux
high Severity high
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2001-08-08 06:44 EDT by Didier
Modified: 2005-10-31 17:00 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-08-08 08:06:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Didier 2001-08-08 06:44:19 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.3) Gecko/20010802

Description of problem:
Starting X with DRI enabled in XF86Config-4 oopses kernel 2.4.7-0.8

How reproducible:

Steps to Reproduce:
1. install kernel-2.4.7-0.8 , XFree86-4.1.0-0.9.11
2. Load DRI in /etc/X11/XF86Config-4
3. startx

Actual Results:  Kernel oopses ; system hangs (SysRq-Raw doesn't work ,
SysRq-Boot does).

Expected Results:  X should start.

Additional info:

This is reproducable on 2 completely different machines (desktop PIII-450
VIA + Matrox G400 , portable IBM A21p PIII-850 440BX + ATI Mobility 128).

OS Versions :
desktop : clean 7.1 with updates
portable : 7.1 with updates and some Rawhides (pre-Roswell)

On both systems :
glibc : 2.2.3-19.1
xinitrc : 3.15-1

I'm not sure whether this should be posted in the kernel and/or Roswell bug
components too ?

kernel oops --> priority = high ?
Comment 1 Mike A. Harris 2001-08-08 06:54:18 EDT
That kernel does not have XFree86 4.1.0 DRI in it.  Roswell does not
have DRI support for XFree86 4.1.0 at all.  Future releases of the
kernel *will* have proper DRI support, however there were various
issues including security issues that needed to be resolved before
including the new DRM in our kernel.

DRM is now integrated into the Rawhide kernel, however there may or
may not be some remaining issues left.  I'll let Arjan comment on
this before closing the bug report with RAWHIDE.
Comment 2 Didier 2001-08-08 07:55:31 EDT
As I noted, I'm *not* running Roswell ,just some assorted Rawhides on one of the
affected machines.

No DRI ?
rpm -qi kernel-2.4.7-0.8 --changelog reports:

* Sat Aug 04 2001 Arjan van de Ven <arjanv@redhat.com>

- Added DRI for XFree 4.1

I reverted back to Xfree86-4.1.0-9.1, same lockups : I suppose it is a kernel issue.

"Load DRI" in XF86Config-4 autoloads the "r128.o" module (usage=1) and locks up.
If I disable the "Load DRI" and modprobe the r128.0, X loads and usage=0.

As a sidenote : with 2.4.7-0.8, I'm getting random-interval screen glitches on
my A21p LCD (1600x1200x16), whether or not r128.o is loaded ; something to do
with agpgart ?

Comment 3 Arjan van de Ven 2001-08-08 08:06:35 EDT
-0.8 showed a bug in the original XFree 4.1 DRM code (the kernel part) which got
fixed in kernel -0.9.1 which should appear in rawhide soon.
Comment 4 Mike A. Harris 2001-08-10 15:08:34 EDT
What Arjan says is correct.  You should be using kernel
2.4.7-0.11.1 or later for DRI support.  Newer kernel the

Note You need to log in before you can comment on or make changes to this bug.